<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PlayerBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/da8/class_player_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">PlayerBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adad47d1d9d0c0215e409dec482ba93ab"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#adad47d1d9d0c0215e409dec482ba93ab">OnGameplayDataHandlerSync</a> ()</td></tr>
<tr class="separator:adad47d1d9d0c0215e409dec482ba93ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a2b6f37c6f1850bf74836b0c727108bfe"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#a2b6f37c6f1850bf74836b0c727108bfe">CreatePersonalLight</a> ()</td></tr>
<tr class="memdesc:a2b6f37c6f1850bf74836b0c727108bfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates PL if it doesn't exist already.  <a href="../../d5/da8/class_player_base.html#a2b6f37c6f1850bf74836b0c727108bfe">More...</a><br /></td></tr>
<tr class="separator:a2b6f37c6f1850bf74836b0c727108bfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933eeb4cfec6bcbba16259f06b75b51e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#a933eeb4cfec6bcbba16259f06b75b51e">SwitchPersonalLight</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="memdesc:a933eeb4cfec6bcbba16259f06b75b51e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Controls the ON/OFF switch of the Personal Light. PL will still shine only if the server allows it.  <a href="../../d5/da8/class_player_base.html#a933eeb4cfec6bcbba16259f06b75b51e">More...</a><br /></td></tr>
<tr class="separator:a933eeb4cfec6bcbba16259f06b75b51e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ed010329b638e227781f257bb90ffd"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#ae9ed010329b638e227781f257bb90ffd">UpdatePersonalLight</a> ()</td></tr>
<tr class="memdesc:ae9ed010329b638e227781f257bb90ffd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates state of PL.  <a href="../../d5/da8/class_player_base.html#ae9ed010329b638e227781f257bb90ffd">More...</a><br /></td></tr>
<tr class="separator:ae9ed010329b638e227781f257bb90ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86118831fd7366d5e1a6db962cf532c2"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#a86118831fd7366d5e1a6db962cf532c2">UpdateHitDirectionValues</a> ()</td></tr>
<tr class="separator:a86118831fd7366d5e1a6db962cf532c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:adade79cffc2ac289387403a6e433150f"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#adade79cffc2ac289387403a6e433150f">m_PersonalLight</a></td></tr>
<tr class="separator:adade79cffc2ac289387403a6e433150f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9b73dc87ba06a9e9b71799234d076d6"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#aa9b73dc87ba06a9e9b71799234d076d6">m_PersonalLightEnabledOnCurrentServer</a> = false</td></tr>
<tr class="separator:aa9b73dc87ba06a9e9b71799234d076d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b71d04946ffad09c5f64c9f0b272889"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#a1b71d04946ffad09c5f64c9f0b272889">m_PersonalLightDisabledByDebug</a> = false</td></tr>
<tr class="separator:a1b71d04946ffad09c5f64c9f0b272889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f6f08e300479f7be7bcacb43bf982b2"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da8/class_player_base.html#a0f6f08e300479f7be7bcacb43bf982b2">m_PersonalLightIsSwitchedOn</a> = true</td></tr>
<tr class="separator:a0f6f08e300479f7be7bcacb43bf982b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00001">1</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a2b6f37c6f1850bf74836b0c727108bfe" name="a2b6f37c6f1850bf74836b0c727108bfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b6f37c6f1850bf74836b0c727108bfe">&#9670;&#160;</a></span>CreatePersonalLight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PlayerBase::CreatePersonalLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates PL if it doesn't exist already. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00009">9</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<a id="adad47d1d9d0c0215e409dec482ba93ab" name="adad47d1d9d0c0215e409dec482ba93ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adad47d1d9d0c0215e409dec482ba93ab">&#9670;&#160;</a></span>OnGameplayDataHandlerSync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PlayerBase::OnGameplayDataHandlerSync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00039">39</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<a id="a933eeb4cfec6bcbba16259f06b75b51e" name="a933eeb4cfec6bcbba16259f06b75b51e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a933eeb4cfec6bcbba16259f06b75b51e">&#9670;&#160;</a></span>SwitchPersonalLight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PlayerBase::SwitchPersonalLight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Controls the ON/OFF switch of the Personal Light. PL will still shine only if the server allows it. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00049">49</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<a id="a86118831fd7366d5e1a6db962cf532c2" name="a86118831fd7366d5e1a6db962cf532c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86118831fd7366d5e1a6db962cf532c2">&#9670;&#160;</a></span>UpdateHitDirectionValues()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PlayerBase::UpdateHitDirectionValues </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00075">75</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<a id="ae9ed010329b638e227781f257bb90ffd" name="ae9ed010329b638e227781f257bb90ffd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9ed010329b638e227781f257bb90ffd">&#9670;&#160;</a></span>UpdatePersonalLight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PlayerBase::UpdatePersonalLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Updates state of PL. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00059">59</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="adade79cffc2ac289387403a6e433150f" name="adade79cffc2ac289387403a6e433150f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adade79cffc2ac289387403a6e433150f">&#9670;&#160;</a></span>m_PersonalLight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a> PlayerBase::m_PersonalLight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00003">3</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<a id="a1b71d04946ffad09c5f64c9f0b272889" name="a1b71d04946ffad09c5f64c9f0b272889"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b71d04946ffad09c5f64c9f0b272889">&#9670;&#160;</a></span>m_PersonalLightDisabledByDebug</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PlayerBase::m_PersonalLightDisabledByDebug = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00005">5</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<a id="aa9b73dc87ba06a9e9b71799234d076d6" name="aa9b73dc87ba06a9e9b71799234d076d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9b73dc87ba06a9e9b71799234d076d6">&#9670;&#160;</a></span>m_PersonalLightEnabledOnCurrentServer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PlayerBase::m_PersonalLightEnabledOnCurrentServer = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00004">4</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<a id="a0f6f08e300479f7be7bcacb43bf982b2" name="a0f6f08e300479f7be7bcacb43bf982b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f6f08e300479f7be7bcacb43bf982b2">&#9670;&#160;</a></span>m_PersonalLightIsSwitchedOn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PlayerBase::m_PersonalLightIsSwitchedOn = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_player_base_client_8c_source.html#l00006">6</a> of file <a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ManBase/<a class="el" href="../../dd/d23/_player_base_client_8c_source.html">PlayerBaseClient.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
